%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
Summary: A panoramic photo stitcher and more
Name: hugin
Version: 2012.0.0
Release: 1%{?dist}
License: GPLv2+
Group: Applications/Multimedia
Source: http://downloads.sourceforge.net/hugin/%{name}-%{version}.tar.bz2
URL: http://hugin.sourceforge.net/
Requires: shared-mime-info
Requires: webclient
Requires: wxPython
Requires: %{name}-base = %{version}-%{release}
BuildRequires: libpano13-devel >= 2.9.18 zlib-devel libtiff-devel libjpeg-devel
BuildRequires: libpng-devel gettext-devel wxGTK-devel >= 2.7.0 boost-devel freeglut-devel
BuildRequires: cmake desktop-file-utils OpenEXR-devel exiv2-devel glew-devel
BuildRequires: tclap-devel python-devel swig flann-devel lensfun-devel
%{?fedora:BuildRequires: mesa-libGLU-devel libXmu-devel}
%{?rhel:BuildRequires: xorg-x11-devel}

%description
hugin can be used to stitch multiple images together. The resulting image can
span 360 degrees. Another common use is the creation of very high resolution
pictures by combining multiple images. It uses the Panorama Tools as back-end
to create high quality images

%package base
Summary: Command-line tools and libraries required by hugin
Group: Applications/Multimedia
Requires: make enblend >= 3.2 perl-Image-ExifTool
Provides: bundled(vigra) = 1.5.0
Provides: bundled(zthread) = 2.3.1

%description base
Command-line tools used to generate panoramic images, install this package
separately from hugin if you want to batch-process hugin projects on a machine
without a GUI environment.

%prep
%setup -q

%build
%cmake . -DBUILD_HSI=1
make VERBOSE=1 %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

desktop-file-install --vendor="" --delete-original \
  --dir=%{buildroot}/%{_datadir}/applications \
  %{buildroot}/%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" --delete-original \
  --dir=%{buildroot}/%{_datadir}/applications \
  %{buildroot}/%{_datadir}/applications/PTBatcherGUI.desktop
desktop-file-install --vendor="" --delete-original \
  --dir=%{buildroot}/%{_datadir}/applications \
  %{buildroot}/%{_datadir}/applications/pto_gen.desktop
%find_lang %{name}


%post
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/gnome || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :

%postun
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/gnome || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :

%post base -p /sbin/ldconfig

%postun base -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root,-)
%{_bindir}/PTBatcherGUI
%{_bindir}/PTBatcher
%{_bindir}/hugin
%{_bindir}/nona_gui
%{_bindir}/hugin_stitch_project
%{_bindir}/icpfind
%{_bindir}/calibrate_lens_gui
%{_bindir}/autopano-noop.sh
%{_libdir}/%{name}/libhuginbasewx.so*
%{_libdir}/%{name}/libicpfindlib.so*
%{_datadir}/%{name}/xrc
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/PTBatcherGUI.desktop
%{_datadir}/applications/calibrate_lens_gui.desktop
%{_datadir}/applications/pto_gen.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/icons/gnome/48x48/mimetypes/*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/%{name}/data/default.setting
%{_datadir}/%{name}/data/plugins/README_*.txt
%{_datadir}/%{name}/data/plugins/*.py*
%{_datadir}/%{name}/data/plugins-templates/*.py*
%{_mandir}/man1/PTBatcher.*
%{_mandir}/man1/PTBatcherGUI.*
%{_mandir}/man1/autopano-noop.*
%{_mandir}/man1/calibrate_lens_gui.*
%{_mandir}/man1/hugin.*
%{_mandir}/man1/hugin_stitch_project.*
%{_mandir}/man1/nona_gui.*
%{_mandir}/man1/icpfind.*

%doc AUTHORS COPYING INSTALL_cmake README README_JP TODO LICENCE_VIGRA src/celeste/LICENCE_LIBSVM doc/nona.txt doc/fulla.html src/hugin1/hugin/xrc/data/help_en_EN/LICENCE.manual

%files base
%defattr(-, root, root,-)
%{_bindir}/align_image_stack
%{_bindir}/autooptimiser
%{_bindir}/celeste_standalone
%{_bindir}/fulla
%{_bindir}/matchpoint
%{_bindir}/hugin_hdrmerge
%{_bindir}/nona
%{_bindir}/pto2mk
%{_bindir}/tca_correct
%{_bindir}/vig_optimize
%{_bindir}/cpclean
%{_bindir}/deghosting_mask
%{_bindir}/pano_trafo
%{_bindir}/pano_modify
%{_bindir}/pto_merge
%{_bindir}/checkpto
%{_bindir}/cpfind
%{_bindir}/linefind
%{_bindir}/pto_gen

%{_libdir}/%{name}/libhuginbase.so*
%{_libdir}/%{name}/libhuginvigraimpex.so*
%{_libdir}/%{name}/libceleste.so*
%{_libdir}/%{name}/liblocalfeatures.so*
%{_libdir}/%{name}/libmakefilelib.so*
%{_libdir}/%{name}/libhuginlines.so*
%{_libdir}/%{name}/libhugin_python_interface.so*
%{python_sitearch}/_hsi.so
%{python_sitearch}/hsi.py*
%{python_sitearch}/hpi.py*

%{_datadir}/%{name}/Makefile.*.mk
%{_datadir}/%{name}/data/celeste.model
%{_mandir}/man1/align_image_stack.*
%{_mandir}/man1/autooptimiser.*
%{_mandir}/man1/cpclean.*
%{_mandir}/man1/celeste_standalone.*
%{_mandir}/man1/fulla.*
%{_mandir}/man1/hugin_hdrmerge.*
%{_mandir}/man1/matchpoint.*
%{_mandir}/man1/nona.*
%{_mandir}/man1/pto2mk.*
%{_mandir}/man1/tca_correct.*
%{_mandir}/man1/vig_optimize.*
%{_mandir}/man1/deghosting_mask.*
%{_mandir}/man1/pano_trafo.*
%{_mandir}/man1/pano_modify.*
%{_mandir}/man1/pto_merge.*
%{_mandir}/man1/checkpto.*
%{_mandir}/man1/cpfind.*
%{_mandir}/man1/linefind.*
%{_mandir}/man1/pto_gen.*

%changelog
* Mon Nov 05 2012 Bruno Postle 2012.0.0-1
- Stable release

* Sun Oct 14 2012 Bruno Postle 2012.0.0-0.1.20121014hg
- 2012.2 branch rc3 hg 6009:a6e4184ad538

* Tue Sep 25 2012 Bruno Postle 2012.0.0-0.1.20120925hg
- 2012.2 branch rc2 hg 5993:a02bf216f42d

* Tue Sep 11 2012 Bruno Postle 2012.0.0-0.1.20120911hg
- 2012.2 branch rc1 + desktop file fix hg 5984:1d8df5eec774

* Sun Sep 02 2012 Bruno Postle 2012.0.0-0.1.20120902hg
- 2012.2 beta branch hg 5982:e50bdee9c736

* Fri Aug 17 2012 Bruno Postle 2011.5.0-0.1.20120817hg
- 2012.2 beta branch hg 5965:c7557523c7cc

* Mon Aug 06 2012 Bruno Postle 2011.5.0-0.1.20120806hg
- 2012.2 beta branch hg 5942:f0987326279b

* Thu Jul 26 2012 Bruno Postle 2011.5.0-0.1.20120726hg
- 2012.2 beta branch hg 5920:3f4869373f16

* Mon Jul 23 2012 Bruno Postle 2011.5.0-0.1.20120723hg
- switch to 2012.2 beta branch hg 5902:774550436f28

* Sun Jul 22 2012 Bruno Postle 2011.5.0-0.1.20120722hg
- gui_overhaul branch snapshot hg 5899:d640a4064543 + hack to link to flann_cpp

* Sat Jul 21 2012 Bruno Postle 2011.5.0-0.1.20120721hg
- gui_overhaul branch snapshot hg 5889:89c7a997ec3f

* Thu Jul 12 2012 Bruno Postle 2011.5.0-0.1.20120712hg
- gui_overhaul branch snapshot hg 5888:f8b91bbc9e6c + hack to link to flann_cpp + hack for lensfun-0.2.6

* Tue Jun 19 2012 Bruno Postle 2011.5.0-0.1.20120619hg
- gui_overhaul branch snapshot hg 5863:a74435e0f019

* Mon Jun 18 2012 Bruno Postle 2011.5.0-0.1.20120618hg
- gui_overhaul branch snapshot hg 5862:d5f0b74cc78b

* Fri Jun 15 2012 Bruno Postle 2011.5.0-0.1.20120615hg
- gui_overhaul branch snapshot hg 5855:35cde63105dc

* Mon Jun 11 2012 Bruno Postle 2011.5.0-0.1.20120611hg
- gui_overhaul branch snapshot hg 5849:632638047d77

* Sun Jun 10 2012 Bruno Postle 2011.5.0-0.1.20120610hg
- gui_overhaul branch snapshot hg 5847:da9055d8e44a

* Sat Jun 09 2012 Bruno Postle 2011.5.0-0.1.20120609hg
- gui_overhaul branch snapshot hg 5837:064c890cb467

* Wed Jun 06 2012 Bruno Postle 2011.5.0-0.1.20120606hg
- gui_overhaul branch snapshot hg 5833:db2f378e1c08

* Wed May 30 2012 Bruno Postle 2011.5.0-0.1.20120530hg
- gui_overhaul branch snapshot hg 5826:bb5d006bb345

* Tue May 22 2012 Bruno Postle 2011.5.0-0.1.20120522hg
- gui_overhaul branch snapshot hg 5819:ab9192a60c64

* Mon May 21 2012 Bruno Postle 2011.5.0-0.1.20120521hg
- gui_overhaul branch snapshot hg 5817:b5eb073834a6

* Thu May 17 2012 Bruno Postle 2011.5.0-0.1.20120517hg
- gui_overhaul branch snapshot hg 5799:17094644d1ca
- + hugin_preview_assistant.patch

* Tue May 15 2012 Bruno Postle 2011.5.0-0.1.20120515hg
- gui_overhaul branch snapshot hg 5798:686e0c2aaa3e

* Mon May 14 2012 Bruno Postle 2011.5.0-0.1.20120514hg
- gui_overhaul branch snapshot hg 5796:e50102732dad

* Thu May 10 2012 Bruno Postle 2011.5.0-0.1.20120510hg
- gui_overhaul branch snapshot hg 5783:78df15316108

* Tue May 08 2012 Bruno Postle 2011.5.0-0.1.20120508hg
- gui_overhaul branch snapshot hg 5781:2b6e461715f1

* Sun May 06 2012 Bruno Postle 2011.5.0-0.1.20120506hg
- gui_overhaul branch snapshot hg 5775:e25658bc8efd

* Fri May 04 2012 Bruno Postle 2011.5.0-0.1.20120504hg
- default branch snapshot hg 5767:f949010d7f50
- test fix for pto_gen negative crop

* Sun Mar 18 2012 Bruno Postle 2011.5.0-0.1.20120318hg
- default branch snapshot hg 5750:7a8841757473

* Fri Mar 16 2012 Bruno Postle 2011.5.0-0.1.20120316hg
- default branch snapshot hg 5742:16fc1241520a

* Thu Mar 08 2012 Bruno Postle 2011.5.0-0.1.20120308hg
- default branch snapshot hg 5740:6916593231ee

* Tue Mar 06 2012 Bruno Postle 2011.5.0-0.1.20120306hg
- default branch snapshot hg 5739:53c905b5907a
- now requires lensfun

* Fri Feb 10 2012 Bruno Postle 2011.5.0-0.1.20120210hg
- default branch snapshot hg 5733:190471592eb7 + hack to prevent build of bundled flann

* Fri Jan 06 2012 Bruno Postle 2011.5.0-0.1.20120106hg
- default branch snapshot + gcc-4.7 patch hg 5722:658ded2153f2

* Thu Dec 15 2011 Bruno Postle 2011.5.0-0.1.20111215hg
- default branch snapshot + pto_gen.desktop hg 5701:71ffba4767f5

* Tue Dec 13 2011 Bruno Postle 2011.5.0-0.1.20111213hg
- default branch snapshot + pto_gen.desktop hg 5698:c884730defe3

* Thu Dec 08 2011 Bruno Postle 2011.5.0-0.1.20111208hg
- default branch snapshot + patch to build with system flann hg 5693:8c674d8df324

* Wed Dec 07 2011 Bruno Postle 2011.5.0-0.1.20111207hg
- default branch snapshot hg 5690:9a1da1bff547

* Mon Nov 28 2011 Bruno Postle 2011.5.0-0.1.20111128hg
- default branch snapshot hg dfe005333233

* Mon Oct 31 2011 Bruno Postle 2011.3.0-0.1.20111031hg
- default branch snapshot hg 5633:426bd4721b14

* Sun Oct 09 2011 Bruno Postle 2011.3.0-0.1.20111009hg
- default branch snapshot hg 5618:eae49ac5569a
- tclap package now called tclap-devel

* Fri Sep 30 2011 Bruno Postle 2011.3.0-0.1.20110930hg
- default branch snapshot hg 5607:6b064e598865

* Thu Sep 29 2011 Bruno Postle 2011.3.0-0.1.20110929hg
- default branch snapshot hg 5600:9e17754888ab

* Wed Sep 28 2011 Bruno Postle 2011.3.0-0.1.20110928hg
- default branch snapshot hg 5595:129760dc8122

* Mon Sep 19 2011 Bruno Postle 2011.3.0-0.1.20110919hg
- default branch snapshot hg 5590:aca929089b42

* Sun Sep 18 2011 Bruno Postle 2011.3.0-0.1.20110918hg
- default branch snapshot hg 5583:f630f6f324e1

* Sun Sep 11 2011 Bruno Postle 2011.3.0-0.1.20110911hg
- default branch snapshot hg 5547:4826832f8d18

* Wed Aug 24 2011 Bruno Postle 2011.3.0-0.1.20110824hg
- snapshot of experimental branch for vertical feature identification hg 5516:cd21a6766570

* Sun Aug 07 2011 Bruno Postle 2011.3.0-0.1.20110807hg
- snapshot of experimental branch for vertical feature identification

* Tue Jul 12 2011 Bruno Postle 2011.3.0-0.1.20110712hg
- development snapshot hg 5388:acafcb92e599

* Sun Jun 26 2011 Bruno Postle 2011.3.0-0.1.20110626hg
- development snapshot hg 5358:8dc60fd1fa29

* Fri Jun 24 2011 Bruno Postle 2011.3.0-0.1.20110624hg
- development snapshot hg 5352:b7f778d81beb

* Wed Jun 22 2011 Bruno Postle 2011.3.0-0.1.20110622hg
- development snapshot hg 5345:ff7fac539804

* Tue Jun 21 2011 Bruno Postle 2011.3.0-0.1.20110621hg
- development snapshot hg 5336:f96f56d17f65

* Fri Jun 17 2011 Bruno Postle 2011.1.0-0.1.20110617hg
- development snapshot hg 5317:6edb80275ed6
- workaround JPEG arithmetic coding bug

* Tue Jun 14 2011 Bruno Postle 2011.1.0-0.1.20110614hg
- development snapshot hg 5313:4e1bce934bf6

* Fri Jun 10 2011 Bruno Postle 2011.1.0-0.1.20110610hg
- development snapshot hg 5301:c068b38e6fa6

* Thu Jun 09 2011 Bruno Postle 2011.1.0-0.1.20110609hg
- development snapshot hg 5298:7778092959b8

* Wed Jun 08 2011 Bruno Postle 2011.1.0-0.1.20110608hg
- development snapshot hg 5297:cec3f83eeb9c

* Sat Jun 05 2011 Bruno Postle 2011.1.0-0.1.20110605hg
- development snapshot hg 5288:5b0431399989

* Sat Jun 04 2011 Bruno Postle 2011.1.0-0.1.20110604hg
- development snapshot hg 5282:4ac7e44431c7

* Fri Jun 03 2011 Bruno Postle 2011.1.0-0.1.20110603hg
- development snapshot hg 5274:1c2fa7b5b83e

* Wed Jun 01 2011 Bruno Postle 2011.1.0-0.1.20110601hg
- development snapshot
- removed calibrate_lens tool
- ann-libs no longer bundled

* Tue May 31 2011 Bruno Postle 2011.1.0-0.1.20110531hg
- development snapshot
- requires python-devel and swig for new plugin interface
- requires unbundled tclap not yet in fedora

* Mon May 30 2011 Bruno Postle 2011.0.0-1
- upstream release

* Sun Apr 17 2011 Kalev Lember <kalev@smartlink.ee> - 2010.4.0-5
- Rebuilt for boost 1.46.1 soname bump

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2010.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 06 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2010.4.0-3
- Rebuild for new Boost

* Fri Feb 04 2011 Bruno Postle <bruno@postle.net> - 2010.4.0-2
- Backport gcc-4.6.0 patch from upstream

* Wed Jan 12 2011 Bruno Postle <bruno@postle.net> - 2010.4.0-1
- Upstream release (2010.4.0)

* Sun Jan 02 2011 Rex Dieter <rdieter@fedoraproject.org> - 2010.2.0-2
- rebuild (exiv2)

* Sun Nov 07 2010 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 2010.2.0-1
- Upstream release (2010.2.0)

* Mon Aug 23 2010 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 2010.0.0-5
- The xorg-x11-devel package is not available on Fedora. So,
   removed it.

* Wed Aug 04 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 2010.0.0-4
- Rebuild for Boost soname bump
- Update to match current guidelines and drop obsolete ifdefs

* Wed Jul 14 2010 Dan Horák <dan@danny.cz> - 2010.0.0-3
- rebuilt against wxGTK-2.8.11-2

* Mon May 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 2010.0.0-2 
- rebuild (exiv2)

* Tue Mar 23 2010 Bruno Postle <bruno@postle.net> 2010.0.0-1
- 2010.0.0 release
- Thanks to Terry Duell for updated .spec

* Fri Feb 05 2010 Bruno Postle <bruno@postle.net> 2009.4.0-1
- Fixes for push to fedora
 
* Fri Jan 22 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 2009.2.0-2
- Rebuild for Boost soname bump

* Tue Oct 20 2009 Bruno Postle <bruno@postle.net> 2009.2.0-1
- 2009.2.0 release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Bruno Postle <bruno@postle.net> 0.8.0-1
- 0.8.0 release

* Thu May 28 2009 Bruno Postle <bruno@postle.net> - 0.7.0-7
- Rebuild for libpano13 soname change

* Fri May 22 2009 Bruno Postle <bruno@postle.net> - 0.7.0-6
- Rebuild for boost soname change.
- Remove trademark from summary, remove .desktop vendor.

* Sun Mar 01 2009 Caolán McNamara <caolanm@redhat.com> - 0.7.0-5
- include stdio.h for snprintf and cstdio for std::sprintf

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.7.0-3 
- respin (eviv2)

* Thu Dec 18 2008 Petr Machata <pmachata@redhat.com> - 0.7.0-2
- rebuild for new boost

* Tue Oct 07 2008 Bruno Postle <bruno@postle.net> 0.7.0-1
- 0.7.0 release

* Thu Jun 26 2008 Bruno Postle <bruno@postle.net> 0.7.0-0.4.20080528svn
- rawhide rebuild for updated libexiv2

* Wed May 28 2008 Bruno Postle <bruno@postle.net> 0.7.0-0.3.20080528svn
- SVN snapshot, 0.7 beta. New tools matchpoint tca_correct

* Mon Feb 18 2008 Bruno Postle <bruno@postle.net> 0.7.0-0.3.20080218svn
- SVN snapshot, 0.7 beta, gcc-4.3.0 fixes

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7.0-0.3.20080216svn
- Autorebuild for GCC 4.3

* Tue Feb 05 2008 Bruno Postle <bruno@postle.net> 0.7.0-0.2.20080205svn
- SVN snapshot, 0.7 beta.

* Tue Jan 22 2008 Bruno Postle <bruno@postle.net> 0.7.0-0.2.20080121svn
- SVN snapshot, 0.7 beta. move cli dependencies to hugin-base package

* Mon Jan 21 2008 Bruno Postle <bruno@postle.net> 0.7.0-0.1.20080121svn
- SVN snapshot, add LICENCE.manual

* Sat Jan 19 2008 Bruno Postle <bruno@postle.net> 0.7.0-0.1.20080119svn
- SVN snapshot, split to hugin and hugin-base packages

* Wed Jan 16 2008 Bruno Postle <bruno@postle.net> 0.7.0-0.1.20080116svn
- remove autopano-sift-C dependency, use autopano-noop.sh instead
- delete devel .so symlinks

* Mon Jan 14 2008 Bruno Postle <bruno@postle.net> 0.7.0-0.1.20080112svn
- SVN snapshot, switch to fedora naming scheme, add exiftool dependency

* Sat Oct 27 2007 Bruno Postle <bruno@postle.net> 0.7.0-0svn20071029
- revert to trunk
- ldconfig as we are installing libs
- libpano13-tools & make dependency

* Wed Oct 24 2007 Bruno Postle <bruno@postle.net> 0.7.0-0svn20071024
- lib64 issue should be fixed, lots of .so.0 files now, release has decremented

* Mon Oct 22 2007 Bruno Postle <bruno@postle.net> 0.7.1-0svn20071022
- ippei branch, switch to cmake

* Mon Apr 16 2007 Bruno Postle <bruno@postle.net> 0.7.0_beta5-0cvs20070416
- CVS snapshot
- add shared-mime-info, desktop-file-utils dependencies
- use desktop-file-install for .desktop file

* Mon Jan 29 2007 Bruno Postle <bruno@postle.net> 0.7.0_beta3-2cvs20070129
- CVS snapshot of 0.7 beta, switch to libpano13

* Sun Sep 17 2006 Bruno Postle <bruno@postle.net> 0.6.1-4
- Fix spec typos and cruft, use find_lang, post and postun fixes

* Fri Sep 15 2006 Bruno Postle <bruno@postle.net> 0.6.1-2
- replace mono autopanog patch with sed

* Thu Aug 24 2006 Bruno Postle <bruno@postle.net> 0.6.1-1
- 0.6.1 release

* Mon Jul 24 2006 Bruno Postle <bruno@postle.net> 0.6-4
- 0.6 release, tidy spec file, add post-release autopano-sift patch

* Mon Jul 24 2006 Bruno Postle <bruno@postle.net> 0.6-3
- 0.6 release

* Mon Jun 19 2006 Bruno postle <bruno@postle.net> 0.6-2cvs20060611
- Recompile to link to libpano12-2.8.4. use find_lang macro. remove repo tag. use dist tag

* Wed Apr 19 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot + gcc 4.1 hack.
- batch processing for fulla.
- requires latest pano12 > 2.8.0 for direct access to optimiser

* Thu Mar 09 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot + hack to fix charset of cs_CZ translation

* Thu Mar 09 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot. new vignetting/aberation/lens correction tool: fulla

* Tue Mar 07 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot, add missing docs

* Thu Jan 12 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot. Philippe Thomins color correction tool. fix for ptoptimizer

* Mon Jan 09 2006 Bruno Postle <bruno@postle.net>
- 0.6 CVS snapshot. nona vignetting correction

* Mon Nov 14 2005 Bruno Postle <bruno@postle.net>
- new build from CVS. included ca_ES catalan translation

* Thu Nov 10 2005 Bruno Postle <bruno@postle.net>
- new build from CVS. included hu hungarian translation

* Fri Sep 16 2005 Bruno Postle <bruno@postle.net>
- new build from CVS. includes zh_CN Chinese translation

* Fri Sep 16 2005 Bruno Postle <bruno@postle.net>
- new build from CVS. includes nl dutch translation

* Wed Aug 17 2005 Bruno Postle <bruno@postle.net>
- new build from CVS.
- Remove patch that turns off enblend compression, as compression
  is now disabled by default.

* Thu Mar 10 2005 Bruno Postle <bruno@postle.net>
- new build from CVS. This is approximately hugin 0.5 beta3

* Mon Feb 28 2005 Bruno Postle <bruno@postle.net>
- new build from CVS. Removed fftw dependency

* Mon Nov 22 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs. patch to call enblend without compression.
  patch to call autopanog.exe via mono.

* Thu Oct 21 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.  Should fix bug where fov can't be optimised

* Wed Oct 20 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.  Updated French translation.
  add enblend dependency.

* Thu Oct 14 2004 Bruno Postle  <bruno@postle.net>
- New build for fedora fc2.
  Now uses automake/autoconf
  Switch dependency from panorama-tools to libpano12 & libpano12-devel

* Thu Sep 09 2004 Bruno Postle <bruno@postle.net>
- new build from cvs.  point picker can do rotation matching, various bugfixes.
  panoviewer doesn't get built anymore.

* Tue Aug 31 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.  Should fix bug where enblend isn't executed from the gui.

* Fri Jul 23 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs, removed vigra dependency.

* Tue Jul 13 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs, still requires vigra, though the vigra stuff is now
  in the hugin tree. Installs utilities: mergepto pta2hugin.py run-autopano-sift.sh

* Fri Jul 02 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs, needs a newer patched vigra
- install various (nonworking?) tools automatch autooptimiser panosifter
  autopano_old

* Tue Jun 15 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs, requires a vigra with 16bit unsigned tiff support
     remove: autopano_old, automatch, autooptimiser, panosifter

* Sun Apr 04 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs, new features:
     autopano integration
     delete control points between selected images
     reset positions of all selected images

* Sun Mar 14 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs, this is post 0.4b release with nona_gui

* Sun Feb 08 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.  Now doesn't depend on vigra

* Wed Feb 04 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.  Now depends on vigra

* Tue Feb 03 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.  Two new tools autooptimiser and panosifter

* Wed Jan 15 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs. now includes automatch

* Thu Jan 03 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.  This is the 0.4pre release

* Thu Jan 01 2004 Bruno Postle  <bruno@postle.net>
- new build from cvs.  autopano now requires fftw.

* Sun Nov 30 2003 Bruno Postle <bruno@postle.net>
- The vigra library when compiled with shared libraries isn't actually
  necessary to run nona, so it's now only a build requirement.  The
  panorama-tools package is now split with the nonfree package now
  required to run hugin.

* Sat Nov 29 2003  Bruno Postle  <bruno@postle.net>
- new build from cvs; stitcher is now called nona

* Mon Nov 24 2003 Bruno Postle  <bruno@postle.net>
- new build from cvs; add vigra dependency for stitcher

* Sun Nov 16 2003 Bruno Postle <bruno@postle.net>
- new build from cvs; patch to build with gtk2

* Sun Nov 09 2003 Bruno Postle <bruno@postle.net>
- new build from cvs; first build with fedora1

* Mon Oct 27 2003 Bruno Postle <bruno@postle.net>
- new build from cvs, added manual.html to doc and [de] translation to .desktop

* Mon Oct 13 2003 Bruno Postle <bruno@postle.net>
- build of hugin-0-3-beta release, sorry no time to fix numbering.

* Sat Oct 04 2003 Bruno Postle <bruno@postle.net>
- new build from cvs, patch0 adds a shortcut to gnome/kde menu

* Thu Sep 25 2003 Bruno Postle <bruno@postle.net>
- build now requires panorama tools include headers.

* Wed Aug 06 2003 Bruno Postle <bruno@postle.net>
- new build from cvs. po/mo files still not getting built

* Sat Aug 02 2003 Bruno Postle <bruno@postle.net>
- new build from cvs, panoviewer now gets built by default. removed
  useless .po installation.

* Sat Jul 26 2003 Bruno Postle <bruno@postle.net>
- new build from cvs, panoviewer built as well

* Sat May 24 2003 Bruno Postle <bruno@postle.net>
- build of wxGTK version

* Sat May 10 2003 Bruno Postle
- Initial RPM release.
